.profil {
    width: 80%;
    margin: 40px auto;
    display: flex;
    justify-content: space-between;
    border-radius: 10px;
    border: 2px solid #DD55C0;
    align-items: center;
    color: white;
}

.profil > .profil__account {
    display: flex;
    align-items: center;
}

.profil > .profil__account > img{
    border-radius: 9999px;
    height: 15vw;
    max-height: 100px;
    transform: scale(1.5);
    margin-left: 5vw;
}

.profil > .profil__account > h1{
    font-weight: 600;
    margin-left: 4vw;
    font-size: 30px;
}

.profil > .profil__level {
    font-weight: 600;
    font-size: 20px;
    margin-right: 5vw;
}

.userWrapper {
    width: 80%;
    margin: 0 auto;
    display: flex;
    justify-content: space-between;
    color: white;
}

.userWrapper > .userWrapper__column {
    display: flex;
    flex-direction: column;
    width: 38%;
}

.userWrapper > .userWrapper__column:nth-child(2) {
    width: 62%;
}

.rank {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: center;
    margin: 20px 0;
    border: 2px solid #DD55C0;
    border-radius: 10px;
    padding: 15px;
}

.rank > .rank__title {
    color: white;
    font-weight: 600;
    font-size: 30px;
    display: flex;
    position: relative;
    align-items: center;
    width: 100%;
    margin-bottom: 20px;
}

.rank > .rank__title > h2 {
    position: relative;
}

.rank > .rank__title > h2::after {
    content: "";
    background: #DD55C0;
    width: 60%;
    right: 0;
    bottom: -7px;
    height: 3px;
    position: absolute;
}

.rank > .rank__title > img  {
    display: block;
    margin: auto 10px auto 0;
}

.rank > .rank__image {
    width: 40%;
}

.rank > .rank__image > img {
    width: 100%;
}

.rank > .rank__level {
    display: flex;
    flex-direction: column;
    align-items:center;
    width: 45%;
}

.rank > .rank__level > span {
    font-size: 20px;
    margin: 10px 0;
    font-weight: 600;
}

.statistiques {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: center;
    margin: 20px 0;
    border: 2px solid #DD55C0;
    border-radius: 10px;
    padding: 15px;
}

.statistiques > .statistiques__title {
    color: white;
    font-weight: 600;
    font-size: 30px;
    display: flex;
    position: relative;
    align-items: center;
    width: 100%;
    margin-bottom: 20px;
}

.statistiques > .statistiques__title > h2 {
    position: relative;
}

.statistiques > .statistiques__title > h2::after {
    content: "";
    background: #DD55C0;
    width: 60%;
    right: 0;
    bottom: -7px;
    height: 3px;
    position: absolute;
}

.statistiques > .statistiques__title > img  {
    display: block;
    margin: auto 10px auto 0;
}

.statistiques > .statistiques__winrate {
    display: flex;
    align-items: center;
    padding: 10px 0;
    margin-left: 12px;
}

.statistiques > .statistiques__winrate > .statistiques__wins  {
    font-size: 95px;
    font-weight: 600;
    display: flex;
}

.statistiques > .statistiques__winrate > .statistiques__wins > .rotate {
    transform: rotate(-90deg);
    font-size: 35px;
    text-transform: uppercase;
    font-weight: 600;
}

.statistiques > .statistiques__bar {
    display: flex;
    flex-direction: column;
    width: 90%;
    margin: 10px auto;
}

.statistiques > .statistiques__bar >  .statistiques__winrateNumber {
    text-align: center;
    margin: 5px;
}

.statistiques > .statistiques__bar > .statistiques__winrateBar {
    background: white;
    width:100%;
    height: 10px;
}

.statistiques > .statistiques__bar > .statistiques__winrateBar > #progress {
    background: #DD55C0;
    height: 100%;
    width: 0;
    transition: width 300ms ease-in-out;
}

@media (max-width: 768px) {
    .profil > .profil__account > h1{
        margin-left: 5vw;
    }

    .profil {
        width: 90%;
    }

    .userWrapper {
        flex-direction: column;
        width: 90%;
    }

    .userWrapper > .userWrapper__column {
        width:100%;
    }
}
